package com.gic.cloud.web.vo;

import com.gic.store.constant.StoreOwnerFlagEnum;

/**
 * 会员卡
 * @ClassName: MbrVo 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 1:36 PM 
 */
public class MbrVo {
    private String mbrAreaId;
    private String mbrAreaName;
    private Integer ownType;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    public String getMbrAreaId() {
        return mbrAreaId;
    }

    public void setMbrAreaId(String mbrAreaId) {
        this.mbrAreaId = mbrAreaId;
    }

    public String getMbrAreaName() {
        return mbrAreaName;
    }

    public void setMbrAreaName(String mbrAreaName) {
        this.mbrAreaName = mbrAreaName;
    }

    public Integer getOwnType() {
        if (StoreOwnerFlagEnum.OTHER.getCode() == ownerFlag) {
            return 2;
        }
        return StoreOwnerFlagEnum.OWNER.getCode();
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public MbrVo setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }
}
