package com.gic.cloud.web.vo;

import com.gic.store.constant.StoreOwnerFlagEnum;

/**
 * 门店查询条件
 * @ClassName: StoreSearchVo 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 1:33 PM 
 */
public class StoreSearchVo {
    private String id;
    private String name;
    private String desc;
    private String idChain;
    private String nameChain;
    private Integer channel;
    private Integer hasAttention = 0;
    private Integer hasChildren = 0;
    /**
     * 1自有  2共享
     */
    private Integer ownType;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getIdChain() {
        return idChain;
    }

    public void setIdChain(String idChain) {
        this.idChain = idChain;
    }

    public String getNameChain() {
        return nameChain;
    }

    public void setNameChain(String nameChain) {
        this.nameChain = nameChain;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public Integer getHasAttention() {
        return hasAttention;
    }

    public void setHasAttention(Integer hasAttention) {
        this.hasAttention = hasAttention;
    }

    public Integer getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(Integer hasChildren) {
        this.hasChildren = hasChildren;
    }

    public Integer getOwnType() {
        if (StoreOwnerFlagEnum.OTHER.getCode() == ownerFlag) {
            return 2;
        }
        return StoreOwnerFlagEnum.OWNER.getCode();
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreSearchVo setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }
}
