package com.gic.cloud.web.vo;

import com.gic.store.constant.StoreOwnerFlagEnum;

/**
 * 门店类型
 * @ClassName: StoreTypeVo 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/7 1:32 PM 
 */
public class StoreTypeVo {
    private String id;
    private String name;
    /**
     * 1自有   2共享
     */
    private Integer ownType;

    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getOwnType() {
        if (StoreOwnerFlagEnum.OTHER.getCode() == ownerFlag) {
            return 2;
        }
        return StoreOwnerFlagEnum.OWNER.getCode();
    }

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreTypeVo setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }
}
